import { buildUUID } from '../../../utils/uuid';
import { ApiActionPage } from '../../model/baseModel';
import { WmsItemPageListGetResultModel, WmsItemPageParams } from '../model/warehoueseModel';
import { Api, genAction, genActionPage } from '../system';
import { useUserStore } from '/@/store/modules/user';
import { defHttp } from '/@/utils/http/axios';
import { isNullOrEmpty } from '/@/utils/is';

/*
 * 来料未清点
 */
export const getWmsItemListByPage = async (params: any) => {
  let order = ''
  if (params.order != undefined) {
    order = params.order == 'descend' ? (params.field + ' desc') : params.field
  }
  let sqlcmd='1<>1';
  if(params.TRANS_NO !=undefined){
    sqlcmd = "TRANS_NO ='"+params.TRANS_NO+"'";
  }
  
  
  var option ={
    UserId:useUserStore().getUserInfo.userId as string,
    ByOrg:true,
    OrgCode:useUserStore().getUserInfo.orgCode as string
  }
  // const rParams = genActionPage('V_WMS_ITEM', sqlcmd, params.page, params.pageSize,option);
  // return getWmsItemListByPageAsync(rParams);
  if (!isNullOrEmpty(params.page)) {
    const usParams = genAction('V_ITEM_BIZ_ERP_RECEIPT_SN', {
      QueryAble_T: '',
      where: sqlcmd,
      order: order,
      page: {
        pageAble_T: 'string',
        draw: 1,
        pageIndex: params.page,
        pageSize: params.pageSize,
      },
      option
    },option);
    //const rParams = genActionPage('V_BIZ_ERP_OTH_OUT_DTL', sqlcmd, params.page, params.pageSize,option);
    return getWmsItemListByPageAsync(usParams);
  } else {
    const usParams = genAction('V_ITEM_BIZ_ERP_RECEIPT_SN', {
      QueryAble_T: '',
      where: sqlcmd,
      option
    },option);
    //const rParams = genActionPage('V_BIZ_ERP_OTH_OUT_DTL', sqlcmd, params.page, params.pageSize,option);
    return getWmsItemListByPageAsync(usParams);
  }
};
async function getWmsItemListByPageAsync(params: any) {
  const data = await defHttp.post(
    { url: Api.QueryUrl, params },
    {
      isTransformResponse: false,
    },
  );
  let model = {}
  if (isNullOrEmpty(data.Data.page)) {
    model = {
      items: data.Data.Items,
    };
  } else {
    model = {
      items: data.Data.page.data,
      total: data.Data.page.totals,
    };
  }

  return model;
}
//下拉列表
// STATUSs 仓库状态
export const optionsListApi = async (params: Recordable) => {
  const usParams = genAction('WMS_ITEM+STATUSs', '');
  return await defHttp.post(
    { url: Api.urlQueryEnum, params: usParams },
    {
      errorMessageMode: 'none',
      isTransformResponse: false,
      // apiUrl: globSetting.taskApiUrl
    },
  );
};